Authorize a settlement

Permissions required: Authorize Settlements

After your participant has proposed a settlement or accepted a settlement proposal, the details of the settlement must be authorized.

To authorize via API, the API key must have a special permission. Otherwise, authorization takes place in the app according to organization policy.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

ID of settlement to authorize

Query Params
string
required

ID of participant authorizing the settlement

Body Params

Settlement proposal

string
required
string
required
walletAmounts
array of objects
required

In a proposal, each asset type can appear only once in the wallet amount list.

walletAmounts*
Headers
string
required
^[0-9A-Fa-f]{128,160}$

A hex-encoded Ed25519 signature of timestamp_epoch_seconds + uppercase(http_method) + request_path + request_body.

Construction example:

toHex(
  ed25519Sign(
    signing_key,
    '{}{}{}{}'.format(timestamp_epoch_seconds, toUpper(httpMethod), httpRequestPath, httpBody)
  )
)
int64
required

Current timestamp, represented as unix epoch seconds

Responses
200

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json